%define version 4.0.3

Name: fence-agents
Version: %{version}
Release: %mkrel 2
Summary: Fencing agents for cluster suite
Group: System/Kernel and hardware
URL: https://fedorahosted.org/cluster/wiki/HomePage
Source: https://fedorahosted.org/releases/f/e/fence-agents/fence-agents-%{version}.tar.xz
License: GPLv2
Conflicts: cman < 3.0.0
BuildRequires: nss-devel libvirt-devel
BuildRequires: corosync-devel
BuildRequires: python-pexpect
BuildRequires: python-curl
BuildRequires: xsltproc
BuildRequires: python-suds
BuildRequires: perl-Net-Telnet
Requires: sg3_utils netkit-telnet openssh-clients
Requires: python-pexpect python-curl
Requires: net-snmp-utils
Requires: perl-Net-Telnet
Requires: python-suds

%description
Fence Agents is a collection of scripts to handle remote
power management for several devices.


%prep
%setup -q

%build
%configure
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/COPYING.* doc/COPYRIGHT doc/README.licence
%{_sbindir}/fence_*
%{_datadir}/fence
%{_datadir}/cluster/*
%{_mandir}/man8/fence_*.8.*
%{_libexecdir}/fence_kdump_send
%{_libexecdir}/fence_nss_wrapper




%changelog
* Mon Oct 21 2013 umeabot <umeabot> 4.0.3-2.mga4
+ Revision: 537004
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 boklm <boklm> 4.0.3-1.mga4
+ Revision: 486143
- Version 4.0.3

* Fri Jan 11 2013 umeabot <umeabot> 3.1.8-3.mga3
+ Revision: 350190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 20 2012 boklm <boklm> 3.1.8-2.mga2
+ Revision: 232181
- fix requires

* Fri Apr 20 2012 boklm <boklm> 3.1.8-1.mga2
+ Revision: 232133
- version 3.1.8
- fix requires and build requires
- update URL

* Fri May 20 2011 boklm <boklm> 3.0.17-2.mga1
+ Revision: 99962
- imported package fence-agents


* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 3.0.17-2mdv2011.0
+ Revision: 664299
- mass rebuild

* Wed Oct 13 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.17-1mdv2011.0
+ Revision: 585515
- buildrequire python-curl
- update to new version 3.0.17

* Tue Sep 07 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.16-1mdv2011.0
+ Revision: 576608
- update to new version 3.0.16
- Add fence_na.conf to files list

* Tue May 04 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.11-1mdv2010.1
+ Revision: 542052
- New version 3.0.11

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against nss-3.12.6

* Mon Jan 04 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.6-1mdv2010.1
+ Revision: 486172
- update to new version 3.0.6
- update to new version 3.0.5
- buildrequire xsltproc
-buildrequire python-pexpect
- update to new version 3.0.4

* Wed Oct 14 2009 Buchan Milne <bgmilne@mandriva.org> 3.0.3-1mdv2010.0
+ Revision: 457374
- Buildrequire openais-devel and corosync-devel
- New version 3.0.3
- buildrequire the same version of cluster-devel
- import fence-agents


